package com.bocloud.cmp.entity.enums.jumpserver;

public enum State {
    ACTIVE(0),
    FORBIDDEN(1),
    UNKNOWN(99);
    private final Integer value;

    State(Integer value) {
        this.value = value;
    }

    public static State byValue(Integer value) {
        for (State type : State.values()) {
            if (type.value.equals(value)) {
                return type;
            }
        }
        return null;
    }

    public Integer getValue() {
        return value;
    }
}
